<?xml version="1.0" encoding="utf-8"?>

<!DOCTYPE web-app
    PUBLIC "-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN"
    "http://java.sun.com/dtd/web-app_2_3.dtd">

<web-app>

<servlet>  
   <servlet-name>log4j-init</servlet-name>  
   <servlet-class>cn.js.fan.util.Log4jInit</servlet-class> 
   <init-param> 
      <param-name>log4j</param-name> 
      <param-value>WEB-INF/log4j.properties</param-value> 
   </init-param>  
   <load-on-startup>1</load-on-startup> 
</servlet> 

<listener>
    <listener-class>cn.js.fan.kernal.AppServletContextListener</listener-class>
</listener>

<filter> 
<filter-name>downloadfilter</filter-name>    
<filter-class>com.redmoon.forum.DownloadFilter</filter-class>
</filter>

<filter-mapping>    
<filter-name>downloadfilter</filter-name>    
<url-pattern>/bak/*</url-pattern>
</filter-mapping>

<filter-mapping>    
<filter-name>downloadfilter</filter-name>    
<url-pattern>/forum/upfile/*</url-pattern>
</filter-mapping>

<filter-mapping>    
<filter-name>downloadfilter</filter-name>    
<url-pattern>/downloads/*</url-pattern>
</filter-mapping>

<filter-mapping>    
<filter-name>downloadfilter</filter-name>    
<url-pattern>/log/*</url-pattern>
</filter-mapping>

    <servlet>
      <servlet-name>
          chatservice
      </servlet-name>
      <servlet-class>
          com.redmoon.chat.ChatService
      </servlet-class>
    </servlet>
    <servlet-mapping>
        <servlet-name>chatservice</servlet-name>
        <url-pattern>/chat/chatservice</url-pattern>
    </servlet-mapping>
    
<!--连接池
-->
	<display-name>proxool</display-name>
	<servlet>
	  <servlet-name>ServletConfigurator</servlet-name>
	  <servlet-class>org.logicalcobwebs.proxool.configuration.ServletConfigurator</servlet-class>
	  <init-param>
		<param-name>xmlFile</param-name>
		<param-value>WEB-INF/proxool.xml</param-value>
	  </init-param>
      <load-on-startup>1</load-on-startup>
	</servlet> 

	<servlet>
	  <servlet-name>proxool_Admin</servlet-name>
	  <servlet-class>org.logicalcobwebs.proxool.admin.servlet.AdminServlet</servlet-class>
	</servlet>

	<servlet-mapping>
	  <servlet-name>proxool_Admin</servlet-name>
	  <url-pattern>/proxoolAdmin</url-pattern>
	</servlet-mapping> 


</web-app>
